# Updates a customization config setting with the specified ID. This method will update an existing customization config setting with the specified ID. Endpoint: PUT /customizationConfigSettings/{tenantId}/{id} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. - `id` (string, required) The ID of the customization config setting to update. ## Request fields (application/json): - `abbreviated_name` (string, required) The short, abbreviated name of the setting - `acceptable_values` (array, required) - `acceptable_values.name` (string, required) - `acceptable_values.value` (string, required) - `boolean_value` (boolean, required) - `category` (string, required) A category for the configuration setting - `date_value` (string, required) - `description` (string, required) A description of this configuration setting - `email_value` (object, required) - `email_value.bcc` (string) Anyone that should be bcc'ed on the email - `email_value.body` (string, required) The email body - `email_value.cc` (string) Anyone that should be cc'ed on the email - `email_value.from` (string) From email address - `email_value.from_name` (string) From name - `email_value.reply_to` (string) The reply to - `email_value.subject` (string, required) The email subject - `help_text` (string) Any applicable help text - `html_value` (string, required) - `id` (string, required) The unique, string identifier of this customization config setting - `json_value` (object, required) - `merge_fields` (array) For emails, allows for designation of merge fields - `merge_fields.application` (string) Enum: "accreditation", "awards", "careers", "certifications", "collect", "commerce", "discover", "documents", "events", "fundraising", "knox", "marketing", "membership", "platform", "portals", "publications", "rolodex", "sales", "scholarships", "sponsorship", "submissions", "system" - `merge_fields.group_id` (string, required) - `merge_fields.group_name` (string) - `merge_fields.nameOfObject` (string, required) - `merge_fields.service` (string, required) - `name` (string, required) The name of the customization config setting - `numeric_value` (string, required) - `reference_service` (string, required) - `reference_value` (string, required) - `relative_date_value` (object, required) - `relative_date_value.number` (number, required) The unit of time - `relative_date_value.position` (string, required) How the unit relates to the reference date Enum: "after", "before", "on" - `relative_date_value.relative_to` (string, required) Enum: "the beginning of the month", "the beginning of the quarter", "the beginning of the week", "the beginning of the year", "the end of the month", "the end of the quarter", "the end of the week", "the end of the year", "the reference date" - `relative_date_value.unit_of_time` (string, required) Enum: "days", "months", "weeks", "years" - `string_list_value` (array, required) - `string_value` (string, required) - `subcategory` (string) A subcategory of the setting, if this is necessary - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `technical_details` (string, required) A description of what microservices use this setting and how - `type` (string, required) The type of field Enum: "boolean", "date", "email", "html", "json", "multi select picklist", "number", "picklist", "reference", "relative date", "string" ## Response 200 fields (application/json): - `abbreviated_name` (string, required) The short, abbreviated name of the setting - `acceptable_values` (array, required) - `acceptable_values.name` (string, required) - `acceptable_values.value` (string, required) - `boolean_value` (boolean, required) - `category` (string, required) A category for the configuration setting - `date_value` (string, required) - `description` (string, required) A description of this configuration setting - `email_value` (object, required) - `email_value.bcc` (string) Anyone that should be bcc'ed on the email - `email_value.body` (string, required) The email body - `email_value.cc` (string) Anyone that should be cc'ed on the email - `email_value.from` (string) From email address - `email_value.from_name` (string) From name - `email_value.reply_to` (string) The reply to - `email_value.subject` (string, required) The email subject - `help_text` (string) Any applicable help text - `html_value` (string, required) - `id` (string, required) The unique, string identifier of this customization config setting - `json_value` (object, required) - `merge_fields` (array) For emails, allows for designation of merge fields - `merge_fields.application` (string) Enum: "accreditation", "awards", "careers", "certifications", "collect", "commerce", "discover", "documents", "events", "fundraising", "knox", "marketing", "membership", "platform", "portals", "publications", "rolodex", "sales", "scholarships", "sponsorship", "submissions", "system" - `merge_fields.group_id` (string, required) - `merge_fields.group_name` (string) - `merge_fields.nameOfObject` (string, required) - `merge_fields.service` (string, required) - `name` (string, required) The name of the customization config setting - `numeric_value` (string, required) - `reference_service` (string, required) - `reference_value` (string, required) - `relative_date_value` (object, required) - `relative_date_value.number` (number, required) The unit of time - `relative_date_value.position` (string, required) How the unit relates to the reference date Enum: "after", "before", "on" - `relative_date_value.relative_to` (string, required) Enum: "the beginning of the month", "the beginning of the quarter", "the beginning of the week", "the beginning of the year", "the end of the month", "the end of the quarter", "the end of the week", "the end of the year", "the reference date" - `relative_date_value.unit_of_time` (string, required) Enum: "days", "months", "weeks", "years" - `string_list_value` (array, required) - `string_value` (string, required) - `subcategory` (string) A subcategory of the setting, if this is necessary - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database - `technical_details` (string, required) A description of what microservices use this setting and how - `type` (string, required) The type of field Enum: "boolean", "date", "email", "html", "json", "multi select picklist", "number", "picklist", "reference", "relative date", "string" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields